/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ProductoServicio;

/**
 *
 * @author Shiro
 */
public class RenderProductoServicio implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ProductoServicio p = (ProductoServicio) o;

        Listcell lc = new Listcell(p.getProductoservicioId().toString());
        lc.setParent(lstm);

        lc = new Listcell(p.getEmpresa() == null ? "" : p.getEmpresa().getNombempresa());
        lc.setParent(lstm);

        lc = new Listcell(p.getDescproductoservicio());
        lc.setParent(lstm);

        if (p.getIndtipo() != null) {
            String status;
            if (p.getIndtipo().equals("S")) {
                status = "SERVICIO";
            } else {
                status = "PRODUCTO";
            }
            lc = new Listcell(status);
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", p);
    }
}
